Package org.bukkit.material

# Class MonsterEggs

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.TexturedMaterial
org.bukkit.material.MonsterEggs

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class MonsterEggs extends TexturedMaterial
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents the different types of monster eggs

## Constructor Summary

Constructors
Constructor
Description
`MonsterEggs()`
Deprecated.
`MonsterEggs(Material type)`
Deprecated.
`MonsterEggs(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`MonsterEggs`
`clone()`
Deprecated.
`List<Material>`
`getTextures()`
Deprecated.
Retrieve a list of possible textures.

### Methods inherited from class org.bukkit.material.TexturedMaterial

`getMaterial, getTextureIndex, setMaterial, setTextureIndex, toString`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MonsterEggs

public MonsterEggs()
Deprecated.

### MonsterEggs

public MonsterEggs(Material type)
Deprecated.

### MonsterEggs

@Deprecated public MonsterEggs(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getTextures

public List<Material> getTextures()
Deprecated.
Description copied from class: `TexturedMaterial`
Retrieve a list of possible textures. The first element of the list will be used as a default.

Specified by:
  `getTextures` in class `TexturedMaterial`
Returns:
  a list of possible textures for this block

### clone

public MonsterEggs clone()
Deprecated.

Overrides:
  `clone` in class `TexturedMaterial`